antiX-FAQ
Network Check User Guide

## Conventions

| This is additional information

| This is a tip

| This is an example configuration or setting

Table of Contents

## What is Network Check?

It is a simple way to establish whether the local system is attached to a local network (LAN).
An on screen report shows the progress of the checks and whether a LAN is reachable.

Table of Contents

## Typical Use Cases

Examples:
* The time needed for a network connection to be obtained varies unpredictably.
* You want a visual indication a local network has been joined.
* You want to run different tasks depending upon whether or not a LAN is accessible.

Table of Contents

## Overview

Environment
Two screen display states are supported:
* No-X (the local system does not use a graphics chip driver)
* X (the local system uses a graphics chip driver)

Both no-X and X environments are automatically detected. In either case identical
feedback information is displayed on-screen.

Launching
In the majority of cases it is anticipated launch will be during the boot-up sequence.
Ensure the command is placed in a start up file of your chosen environment.

| Example Command
    # Uncomment to check for an accessible LAN
    /usr/local/bin/network-check &

| In a no-x environment the trailing ampersand may be omitted

Searching
A search is conducted for an operational network interface and a reachable LAN gateway.

When an accessible network is detected on the first search, on-screen feedback is not
provided and no further searches are conducted.

When the first search is unsuccessful, it is repeated every 0.5 seconds for a maximum of
60 searches. While searching continues, on-screen feedback is provided for each cycle.
If a connected LAN is detected during that period, searching stops immediately.

Table of Contents

## Changing the Defaults

Usually the default settings do not have to be changed, they work with most kit.
They may be fine tuned by appending one or more options to the launch command.

| Options
    --searches=   Maximum number of failed searches to conduct

    --delay=      Period in seconds between each search

    --report      Force showing of the feedback report
                  This bypasses the no feedback on first search

    --wait=       Period in seconds before automatically closing
                  the report window following a successful search

Table of Contents

## Summary of Files

/usr/local/bin
└── network-check

Table of Contents